package com.ruoyi.ibs.grid.domain.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 自定义地图客户明细统计_公司对象 grid_shape_cust_gongsi_965
 * 
 * @author ruoyi
 * @date 2025-05-08
 */
public class GridShapeCustGongsi extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 客户名称 */
    @Excel(name = "客户名称")
    private String custName;

    /** 客户证件号 */
    @Excel(name = "证件号")
    private String socialCreditCode;

    /** 客户内码 */
    @Excel(name = "客户内码")
    private String custIsn;

    /** 活期存款余额 */
    @Excel(name = "活期存款余额")
    private String hqCurBalance;

    /** 保证金存款余额 */
    @Excel(name = "保证金存款余额")
    private String bzCurBalance;

    /** 是否授信 */
    @Excel(name = "是否授信")
    private String isCredit;

    /** 贷款余额 */
    @Excel(name = "贷款余额")
    private String loanBalanceCny;

    /** 贷款年日均 */
    @Excel(name = "贷款年日均")
    private String loanYearDailyaverage;

    /** 是否合同签约 */
    @Excel(name = "是否合同签约")
    private String isHtqy;

    /** 是否有签发承兑汇票 */
    @Excel(name = "是否有签发承兑汇票")
    private String financeProd716OpenFlag;

    /** 承兑汇票余额 */
    @Excel(name = "承兑汇票余额")
    private String financeProd716Balance;

    /** 是否有贴现业务 */
    @Excel(name = "是否有贴现业务")
    private String financeProd711OpenFlag;

    /** 贴现金额 */
    @Excel(name = "贴现金额")
    private String financeProd711Balance;

    /** 是否有保函业务 */
    @Excel(name = "是否有保函业务")
    private String intlBussinessJcbhOpenFlag;

    /** 是否为有效代发工资客户 */
    @Excel(name = "是否为有效代发工资客户")
    private String isUstr;

    /** 月均代发工资笔数 */
    @Excel(name = "月均代发工资笔数")
    private String ustrCountPerM;

    /** 月均代发工资金额(元) */
    @Excel(name = "月均代发工资金额(元)")
    private String ustrBalM;

    /** 是否代扣电费 */
    @Excel(name = "是否代扣电费")
    private String elecchargeSignFlag;

    /** 是否代扣水费 */
    @Excel(name = "是否代扣水费")
    private String waterchargeSignFlag;

    /** 是否代扣税费 */
    @Excel(name = "是否代扣税费")
    private String taxdeductionSignFlag;

    /** 是否票据宝签约 */
    @Excel(name = "是否票据宝签约")
    private String pjb;

    /** 是否财资宝签约 */
    @Excel(name = "是否财资宝签约")
    private String czb;

    /** 是否收付宝签约 */
    @Excel(name = "是否收付宝签约")
    private String sfb;

    /** 是否贸融宝签约 */
    @Excel(name = "是否贸融宝签约")
    private String mrb;

    /** 是否数字生态产品签约 */
    @Excel(name = "是否数字生态产品签约")
    private String szst;

    /** 是否开户 */
    @Excel(name = "是否开户")
    private String isOpenSts;

    /** 是否国际结算业务 */
    @Excel(name = "是否国际结算业务")
    private String intlBussinessOpenFlag;

    /** 是否有远期结算汇业务 */
    @Excel(name = "是否有远期结算汇业务")
    private String intlBussiness325OpenFlag;

    /** 归属区域编码 */
//    @Excel(name = "归属区域编码")
    private String shapeId;

    /** 部室归属 0零售 1公司 2运管 */
//    @Excel(name = "部室归属 0零售 1公司 2运管")
    private String opsDept;

    /** 客户类型 */
//    @Excel(name = "客户类型")
    private String custType;
    @Excel(name = "近365天有无走访")
    private String is365zf;
    @Excel(name = "近180天有无走访")
    private String is180zf;
    @Excel(name = "近90天有无走访")
    private String is90zf;
    @Excel(name = "近30天有无走访")
    private String is30zf;

    public void setCustName(String custName) 
    {
        this.custName = custName;
    }

    public String getCustName() 
    {
        return custName;
    }
    public void setSocialCreditCode(String socialCreditCode) 
    {
        this.socialCreditCode = socialCreditCode;
    }

    public String getSocialCreditCode() 
    {
        return socialCreditCode;
    }
    public void setCustIsn(String custIsn) 
    {
        this.custIsn = custIsn;
    }

    public String getCustIsn() 
    {
        return custIsn;
    }
    public void setHqCurBalance(String hqCurBalance) 
    {
        this.hqCurBalance = hqCurBalance;
    }

    public String getHqCurBalance() 
    {
        return hqCurBalance;
    }
    public void setBzCurBalance(String bzCurBalance) 
    {
        this.bzCurBalance = bzCurBalance;
    }

    public String getBzCurBalance() 
    {
        return bzCurBalance;
    }
    public void setIsCredit(String isCredit) 
    {
        this.isCredit = isCredit;
    }

    public String getIsCredit() 
    {
        return isCredit;
    }
    public void setLoanBalanceCny(String loanBalanceCny) 
    {
        this.loanBalanceCny = loanBalanceCny;
    }

    public String getLoanBalanceCny() 
    {
        return loanBalanceCny;
    }
    public void setLoanYearDailyaverage(String loanYearDailyaverage) 
    {
        this.loanYearDailyaverage = loanYearDailyaverage;
    }

    public String getLoanYearDailyaverage() 
    {
        return loanYearDailyaverage;
    }
    public void setIsHtqy(String isHtqy) 
    {
        this.isHtqy = isHtqy;
    }

    public String getIsHtqy() 
    {
        return isHtqy;
    }
    public void setFinanceProd716OpenFlag(String financeProd716OpenFlag) 
    {
        this.financeProd716OpenFlag = financeProd716OpenFlag;
    }

    public String getFinanceProd716OpenFlag() 
    {
        return financeProd716OpenFlag;
    }
    public void setFinanceProd716Balance(String financeProd716Balance) 
    {
        this.financeProd716Balance = financeProd716Balance;
    }

    public String getFinanceProd716Balance() 
    {
        return financeProd716Balance;
    }
    public void setFinanceProd711OpenFlag(String financeProd711OpenFlag) 
    {
        this.financeProd711OpenFlag = financeProd711OpenFlag;
    }

    public String getFinanceProd711OpenFlag() 
    {
        return financeProd711OpenFlag;
    }
    public void setFinanceProd711Balance(String financeProd711Balance) 
    {
        this.financeProd711Balance = financeProd711Balance;
    }

    public String getFinanceProd711Balance() 
    {
        return financeProd711Balance;
    }
    public void setIntlBussinessJcbhOpenFlag(String intlBussinessJcbhOpenFlag) 
    {
        this.intlBussinessJcbhOpenFlag = intlBussinessJcbhOpenFlag;
    }

    public String getIntlBussinessJcbhOpenFlag() 
    {
        return intlBussinessJcbhOpenFlag;
    }
    public void setIsUstr(String isUstr) 
    {
        this.isUstr = isUstr;
    }

    public String getIsUstr() 
    {
        return isUstr;
    }
    public void setUstrCountPerM(String ustrCountPerM) 
    {
        this.ustrCountPerM = ustrCountPerM;
    }

    public String getUstrCountPerM() 
    {
        return ustrCountPerM;
    }
    public void setUstrBalM(String ustrBalM) 
    {
        this.ustrBalM = ustrBalM;
    }

    public String getUstrBalM() 
    {
        return ustrBalM;
    }
    public void setElecchargeSignFlag(String elecchargeSignFlag) 
    {
        this.elecchargeSignFlag = elecchargeSignFlag;
    }

    public String getElecchargeSignFlag() 
    {
        return elecchargeSignFlag;
    }
    public void setWaterchargeSignFlag(String waterchargeSignFlag) 
    {
        this.waterchargeSignFlag = waterchargeSignFlag;
    }

    public String getWaterchargeSignFlag() 
    {
        return waterchargeSignFlag;
    }
    public void setTaxdeductionSignFlag(String taxdeductionSignFlag) 
    {
        this.taxdeductionSignFlag = taxdeductionSignFlag;
    }

    public String getTaxdeductionSignFlag() 
    {
        return taxdeductionSignFlag;
    }
    public void setPjb(String pjb) 
    {
        this.pjb = pjb;
    }

    public String getPjb() 
    {
        return pjb;
    }
    public void setCzb(String czb) 
    {
        this.czb = czb;
    }

    public String getCzb() 
    {
        return czb;
    }
    public void setSfb(String sfb) 
    {
        this.sfb = sfb;
    }

    public String getSfb() 
    {
        return sfb;
    }
    public void setMrb(String mrb) 
    {
        this.mrb = mrb;
    }

    public String getMrb() 
    {
        return mrb;
    }
    public void setSzst(String szst) 
    {
        this.szst = szst;
    }

    public String getSzst() 
    {
        return szst;
    }
    public void setIsOpenSts(String isOpenSts) 
    {
        this.isOpenSts = isOpenSts;
    }

    public String getIsOpenSts() 
    {
        return isOpenSts;
    }
    public void setIntlBussinessOpenFlag(String intlBussinessOpenFlag) 
    {
        this.intlBussinessOpenFlag = intlBussinessOpenFlag;
    }

    public String getIntlBussinessOpenFlag() 
    {
        return intlBussinessOpenFlag;
    }
    public void setIntlBussiness325OpenFlag(String intlBussiness325OpenFlag) 
    {
        this.intlBussiness325OpenFlag = intlBussiness325OpenFlag;
    }

    public String getIntlBussiness325OpenFlag() 
    {
        return intlBussiness325OpenFlag;
    }
    public void setShapeId(String shapeId) 
    {
        this.shapeId = shapeId;
    }

    public String getShapeId() 
    {
        return shapeId;
    }
    public void setOpsDept(String opsDept) 
    {
        this.opsDept = opsDept;
    }

    public String getOpsDept() 
    {
        return opsDept;
    }
    public void setCustType(String custType) 
    {
        this.custType = custType;
    }

    public String getCustType() 
    {
        return custType;
    }

    public String getIs365zf() {
        return is365zf;
    }

    public void setIs365zf(String is365zf) {
        this.is365zf = is365zf;
    }

    public String getIs180zf() {
        return is180zf;
    }

    public void setIs180zf(String is180zf) {
        this.is180zf = is180zf;
    }

    public String getIs90zf() {
        return is90zf;
    }

    public void setIs90zf(String is90zf) {
        this.is90zf = is90zf;
    }

    public String getIs30zf() {
        return is30zf;
    }

    public void setIs30zf(String is30zf) {
        this.is30zf = is30zf;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("custName", getCustName())
            .append("socialCreditCode", getSocialCreditCode())
            .append("custIsn", getCustIsn())
            .append("hqCurBalance", getHqCurBalance())
            .append("bzCurBalance", getBzCurBalance())
            .append("isCredit", getIsCredit())
            .append("loanBalanceCny", getLoanBalanceCny())
            .append("loanYearDailyaverage", getLoanYearDailyaverage())
            .append("isHtqy", getIsHtqy())
            .append("financeProd716OpenFlag", getFinanceProd716OpenFlag())
            .append("financeProd716Balance", getFinanceProd716Balance())
            .append("financeProd711OpenFlag", getFinanceProd711OpenFlag())
            .append("financeProd711Balance", getFinanceProd711Balance())
            .append("intlBussinessJcbhOpenFlag", getIntlBussinessJcbhOpenFlag())
            .append("isUstr", getIsUstr())
            .append("ustrCountPerM", getUstrCountPerM())
            .append("ustrBalM", getUstrBalM())
            .append("elecchargeSignFlag", getElecchargeSignFlag())
            .append("waterchargeSignFlag", getWaterchargeSignFlag())
            .append("taxdeductionSignFlag", getTaxdeductionSignFlag())
            .append("pjb", getPjb())
            .append("czb", getCzb())
            .append("sfb", getSfb())
            .append("mrb", getMrb())
            .append("szst", getSzst())
            .append("isOpenSts", getIsOpenSts())
            .append("intlBussinessOpenFlag", getIntlBussinessOpenFlag())
            .append("intlBussiness325OpenFlag", getIntlBussiness325OpenFlag())
            .append("shapeId", getShapeId())
            .append("opsDept", getOpsDept())
            .append("custType", getCustType())
            .toString();
    }
}
